Skip to main content
GET
/
v1
/
connector-accounts
/
{connectorAccountId}
Get connector account
curl --request GET \
  --url https://api.openworklabs.com/v1/connector-accounts/{connectorAccountId}
{
  "item": {
    "id": "<string>",
    "organizationId": "<string>",
    "connectorType": "github",
    "remoteId": "<string>",
    "externalAccountRef": "<string>",
    "displayName": "<string>",
    "status": "active",
    "createdByOrgMembershipId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "metadata": {}
  }
}

Path Parameters

connectorAccountId
string<typeid>
required

Den TypeID with 'cac_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cac_.*

Response

Connector account returned successfully.

item
object
required